define("tiny_codepro/viewpanel",["exports","./preferences","./options","./viewmanager"],(function(_exports,_preferences,_options,_viewmanager){Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.ViewPanelManager=void 0;
/**
   * Tiny CodePro plugin.
   *
   * @module      tiny_codepro/plugin
   * @copyright   2023-2025 Josep Mulet Pol <pep.mulet@gmail.com>
   * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */
const activeViewPanels=new Map;let submitListenerAction=null;class ViewPanelManager extends _viewmanager.ViewManager{constructor(editor,opts){super(editor,opts),this.translations=this.opts.translations??[],this.isViewCreated=!1}_tShow(){this.editor.execCommand("ToggleView",!1,"codepro")}_tClose(){this.editor.execCommand("ToggleView",!1,"codepro")}async _tCreate(){if(this.isViewCreated)return;this.isViewCreated=!0,this.#registerIcons();const viewSpec=this.#createViewSpec();this.editor.ui.registry.addView("codepro",viewSpec)}#createUI(api){this.codeEditorElement=document.createElement("DIV");const container=api.getContainer();container.classList.add("tiny_codepro-view__pane");const shadowRoot=container.attachShadow({mode:"open"});this.codeEditorElement.classList.add("tiny_codepro-container");const shadowStyles=document.createElement("style");shadowStyles.textContent="\n        .tiny_codepro-container {\n            height: 100%;\n        }\n        .cm-editor.cm-focused {\n            border-color: #86b7fe;\n            outline: 0!important;\n            box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);\n            border-radius: 4px;\n        }\n        .cm-editor {\n            height: 100%;\n        }\n        .tiny_codepro-loader {\n            position: absolute;\n            z-index: 100;\n            top: 50%;\n            left: 50%;\n            width: 16px;\n            height: 16px;\n            border-radius: 50%;\n            background-color: #999;\n            box-shadow: 32px 0 #999, -32px 0 #999;\n            animation: tiny_codepro-flash 0.5s ease-out infinite alternate;\n        }\n        @keyframes tiny_codepro-flash {\n            0% {\n            background-color: #FFF2;\n            box-shadow: 32px 0 #FFF2, -32px 0 #999;\n            }\n            50% {\n            background-color: #999;\n            box-shadow: 32px 0 #FFF2, -32px 0 #FFF2;\n            }\n            100% {\n            background-color: #FFF2;\n            box-shadow: 32px 0 #999, -32px 0 #FFF2;\n            }\n        }",shadowRoot.appendChild(shadowStyles),shadowRoot.appendChild(this.codeEditorElement)}#setButtonsState(){const{btnDescreaseFontsize:btnDescreaseFontsize,btnIncreaseFontsize:btnIncreaseFontsize,btnTheme:btnTheme,btnAccept:btnAccept}=this.domElements;btnDescreaseFontsize.style.marginRight="0",btnIncreaseFontsize.style.marginLeft="0";const isDark="dark"===(0,_preferences.getPref)("theme","light");btnTheme.querySelector("span").innerHTML=isDark?_viewmanager.ViewManager.icons.moon:_viewmanager.ViewManager.icons.sun,isDark?this.parentContainer.classList.add("tiny_codepro-dark"):this.parentContainer.classList.remove("tiny_codepro-dark"),btnAccept.querySelector("svg").style.marginRight="5px";const isFullscreen=(0,_preferences.getPref)("fs",!1),hasClassFS=this.editor.container.classList.contains("tox-fullscreen");(hasClassFS&&!isFullscreen||!hasClassFS&&isFullscreen)&&this.editor.execCommand("mceFullScreen")}#createViewSpec(){return{buttons:this.#createButtons(),onShow:async api=>{if(!this.codeEditorElement){var _this$editor$containe;this.#createUI(api),activeViewPanels.set(this.editor.id,this);const form=null===(_this$editor$containe=this.editor.container)||void 0===_this$editor$containe?void 0:_this$editor$containe.closest("form");form&&!submitListenerAction&&(submitListenerAction=evt=>{const pendingViewPanels=Array.from(activeViewPanels.values()).filter((vp=>vp.pendingChanges));pendingViewPanels.length&&(evt.preventDefault(),pendingViewPanels.forEach((viewPanel=>viewPanel._saveAction())),setTimeout((()=>{var _evt$submitter;form.requestSubmit?form.requestSubmit(evt.submitter):null===(_evt$submitter=evt.submitter)||void 0===_evt$submitter||_evt$submitter.click()}),0))},form.addEventListener("submit",submitListenerAction))}const container=api.getContainer();this.parentContainer=container.parentElement;const headerButtonElements=this.parentContainer.querySelectorAll(".tox-view__header button"),[_,__,btnDescreaseFontsize,btnIncreaseFontsize,btnTheme,___,btnAccept]=headerButtonElements;this.domElements={root:this.parentContainer,btnDescreaseFontsize:btnDescreaseFontsize,btnIncreaseFontsize:btnIncreaseFontsize,btnTheme:btnTheme,btnAccept:btnAccept},this.#setButtonsState(),this._showSpinner(container.shadowRoot),await this.attachCodeEditor(this.codeEditorElement),this._hideSpinner(container.shadowRoot)},onHide:()=>{}}}#registerIcons(){Object.keys(_viewmanager.ViewManager.icons).forEach((key=>{this.editor.ui.registry.addIcon(`tiny_codepro-${key}`,_viewmanager.ViewManager.icons[key])}))}#createButtons(){const[opendialogStr,fullscreenStr,themesStr,linewrapStr,prettifyStr,decreaseFontsizeStr,increaseFontsizeStr]=this.translations,buttons=[{type:"button",text:" ",icon:"tiny_codepro-fullscreen",tooltip:fullscreenStr,onAction:()=>{(0,_preferences.setPref)("fs",!(0,_options.isFullscreen)(this.editor)),this.editor.execCommand("mceFullScreen")}},{type:"button",text:"",icon:"tiny_codepro-decreasefontsize",tooltip:decreaseFontsizeStr,onAction:this.decreaseFontsize.bind(this)},{type:"button",text:"",icon:"tiny_codepro-increasefontsize",tooltip:increaseFontsizeStr,onAction:this.increaseFontsize.bind(this)},{type:"button",text:" ",icon:"tiny_codepro-sun",tooltip:themesStr,onAction:this.toggleTheme.bind(this)},{type:"button",text:" ",icon:"tiny_codepro-magic",tooltip:prettifyStr,onAction:this.prettify.bind(this)},{type:"button",text:" tinyMCE",icon:"tiny_codepro-tinymce",buttonType:"primary",onAction:this.accept.bind(this)}];return((0,_options.getDefaultUI)(this.editor)??"dialog").startsWith("user:")&&buttons.unshift({type:"button",text:" ",icon:"tiny_codepro-eye",tooltip:opendialogStr,onAction:this.switchViews.bind(this)}),buttons}}_exports.ViewPanelManager=ViewPanelManager}));

//# sourceMappingURL=viewpanel.min.js.map